.programes,
.episodi {
  color: var(--jcat-white);
}

.programes main.main,.episodi main.main {
    background-color: var(--jcat-dark-grey);
  }

.programes .article__main,.episodi .article__main {
    width: 100%; /* eliminar si al final hi ha barra lateral */
  }

.programes .content-info,.episodi .content-info {
    margin-top: 0;
  }

.programes .row > :not(.border-bottom):not(.llistat-temporada),.episodi .row > :not(.border-bottom):not(.llistat-temporada) {
    padding-left: 15px;
    padding-right: 15px;
  }

.programes .article__meta,.episodi .article__meta,.programes .article__tags,.episodi .article__tags {
    background-color: rgba(0,0,0,0.14902);
  }

.programes .article__meta,.episodi .article__meta {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding-left: 0;
    padding-right: 0;
  }

@media (max-width: 955px) {

.programes .article__meta,.episodi .article__meta {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      gap: 15px;
  }
    }

.programes .article__meta::before {
      content: none;
    }

.episodi .article__meta::before {
      content: none;
    }

.programes .article__meta::after {
      content: none;
    }

.episodi .article__meta::after {
      content: none;
    }

.programes .article__meta p,.episodi .article__meta p {
      width: -webkit-fit-content;
      width: -moz-fit-content;
      width: fit-content;
      margin-bottom: 0;
      padding-left: 0;
    }

.programes .article__meta a,.episodi .article__meta a {
    color: var(--jcat-themecolour);
  }

.programes .article__meta-title,.episodi .article__meta-title {
    color: var(--jcat-grey);
  }

.programes .article__categories li a,.episodi .article__categories li a {
    border-color: var(--jcat-themecolour) !important;
    color: var(--jcat-themecolour) !important;
  }

.programes .article__meta-title--big,.episodi .article__meta-title--big {
    color: var(--jcat-white);
  }

.programes .article__comments-toggle,.episodi .article__comments-toggle {
    background-color: transparent;
    border-color: var(--jcat-white);
    color: var(--jcat-white);
  }

.article__butlleti a {
    color: var(--jcat-themecolour);
  }

.article__butlleti a:hover {
      color: var(--jcat-red);
    }

.programes__btn {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  padding: 8px 14px;
  background-color: var(--jcat-white);
  color: var(--jcat-red);
  font-weight: 700;
}

.border-bottom:not(.home-section__title) {
  border-bottom: 1px solid var(--jcat-white);
  padding-bottom: 15px;
  margin-left: 15px;
  margin-right: 15px;
  margin-bottom: 15px;
}

.border-top {
  border-top: 1px solid var(--jcat-white);
  padding-top: 15px;
  margin-left: 15px;
  margin-right: 15px;
  margin-top: 15px;
}

.mb-1 {
  margin-bottom: 15px;
}

.mb-2 {
  margin-bottom: 30px;
}

.mb-3 {
  margin-bottom: 3em;
}

.mb-4 {
  margin-bottom: 4em;
}

.mb-5 {
  margin-bottom: 5em;
}

.mb-6 {
  margin-bottom: 6em;
}

.mb-7 {
  margin-bottom: 7em;
}

.mt-1 {
  margin-top: 15px;
}

.mt-2 {
  margin-top: 30px;
}

.mt-3 {
  margin-top: 3em;
}

.mt-4 {
  margin-top: 4em;
}

.mt-5 {
  margin-top: 5em;
}

.mt-6 {
  margin-top: 6em;
}

.mt-7 {
  margin-top: 7em;
}

.ocult {
  display: none;
}

.destacats {
  margin-bottom: 20px;

  display: -webkit-box;

  display: -ms-flexbox;

  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  
  text-transform: uppercase;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--jcat-red);
}

@media(min-width: 955px) {

.destacats {
    margin-left: 50px;
    margin-right: 50px;
    margin-bottom: 20px;
}
  }

@media (min-width: 768px) and (max-width: 991px) {

.destacats {
    margin-left: 60px;
    margin-right: 60px;
}
  }

.destacats .destacats__container {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;

    overflow: hidden;
  }

@media(max-width:954px) {

.destacats .destacats__container {
      margin-left: 15px;
  }
    }

.destacats span {
    font-weight: 700;
    -ms-flex-negative: 0;
        flex-shrink: 0;
  }

.destacats .fletxa {
    position: absolute;
    padding-top: 10px;
    padding-bottom: 10px;
    cursor: pointer;
  }

.destacats .fletxa svg {
      width: 10px;
    }

.destacats .fletxa-prev.ocult,.destacats .fletxa-next.ocult {
      display: none;
    }

@media(max-width:954px) {

.destacats .fletxa-prev,.destacats .fletxa-next {
      display: none;
  }
    }

.destacats .fletxa-prev {
    padding-left: 10px;
    padding-right: 30px;
    background: -webkit-gradient(
      linear,
      right top, left top,
      from(transparent),
      color-stop(40%, var(--jcat-white))
    );
    background: linear-gradient(
      to left,
      transparent 0%,
      var(--jcat-white) 40%
    );
  }

.destacats .fletxa-next {
    right: 0;
    padding-right: 5px;
    padding-left: 30px;
    background: -webkit-gradient(
      linear,
      left top, right top,
      from(transparent),
      color-stop(40%, var(--jcat-white))
    );
    background: linear-gradient(
      to right,
      transparent 0%,
      var(--jcat-white) 40%
    );
  }

.destacats ul {
    list-style: none;
    margin-bottom: 0;

    width: 100%;
    color: var(--jcat-red);

    display: -webkit-box;

    display: -ms-flexbox;

    display: flex;
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;

    overflow-x: hidden;
  }

@media(max-width:954px) {

.destacats ul {
      padding-left: 0;

      overflow-x: auto;
      -ms-scroll-snap-type: x mandatory;
          scroll-snap-type: x mandatory;
      scroll-behavior: smooth;
  }
    }

.destacats ul li {
      margin-right: 20px;
      -ms-flex-negative: 0;
          flex-shrink: 0;
    }

.destacats ul li a:hover {
          color: var(--jcat-dark-grey);
        }

@media(max-width:954px) {

.destacats ul li {
        scroll-snap-align: start;
    }
      }

.swiper {
  /* border: 1px solid lime; */
  height: 80vh;
}

@media(max-width: 767px) {

.swiper {
    max-height: 70vh;
}
  }

@media(max-width: 450px) {

.swiper {
    max-height: 55vh;
}
  }

.swiper-button-prev,
.swiper-button-next {
  color: var(--jcat-white);

  height: 100%;
  width: 4vw;
  top: 20px; /* el valor del margin bottom del titol */;

  
}

.swiper-button-next {
  right: 0;
  padding-right: 20px;
  padding-left: 50px;
  background: -webkit-gradient(
    linear,
    right top, left top,
    color-stop(50%, rgba(0, 0, 0, 0.3)),
    to(transparent)
  );
  background: linear-gradient(
    to left,
    rgba(0, 0, 0, 0.3) 50%,
    transparent 100%
  );
}

.swiper-button-prev {
  left: 0;
  padding-left: 20px;
  padding-right: 50px;
  background: -webkit-gradient(
    linear,
    left top, right top,
    color-stop(50%, rgba(0, 0, 0, 0.3)),
    to(transparent)
  );
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0.3) 50%,
    transparent 100%
  );
}

.swiper-button-prev.swiper-button-disabled,
.swiper-button-next.swiper-button-disabled {
  pointer-events: all;
  display: none;
}

.programes__slider {
  background-color: var(--jcat-dark-grey);
  padding-top: 50px;
  padding-bottom: 50px;
}

@media(max-width: 991px) {

.programes__slider {
    margin-left: -15px;
    margin-right: -15px;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 15px;
}
  }

.programes__slider .home-section__title {
    margin-top: 0;
    margin-bottom: 20px;
    padding-bottom: 25px;
  }

@media(max-width: 991px) {

.programes__slider .home-section__title {
      padding-bottom: 0;
      padding-top: 15px;
  }
    }

.programes__slider .home-section__title a {
      color: var(--jcat-themecolour);
    }

.programes__slider .home-section__title a:hover {
        color: var(--jcat-red);
      }

.programes__slider .programes__slider-wrap a {
      color: var(--jcat-white);
    }

.programes__slider .programes__slider-wrap a:hover .programes__slider-content--text {
          opacity: 1;
          height: 170px;
        }

.programes__slider .programes__slider-wrap a:hover .programes__slider-img--wrap .programes__slider-img {
            -webkit-transform: scale(1.1);
                    transform: scale(1.1);
            opacity: 1;
          }

.programes__slider .programes__slider-wrap a:hover .programes__slider-content {
          background: -webkit-gradient(
            linear,
            left bottom, left top,
            color-stop(75%, rgba(0, 0, 0, 1)),
            to(transparent)
          );
          background: linear-gradient(
            to top,
            rgba(0, 0, 0, 1) 75%,
            transparent 100%
          )
        }

.programes__slider .programes__slider-wrap {

    padding: 0;
    position: relative;
  }

.programes__slider .programes__slider-wrap .programes__slider-content {
      width: 100%;
      position: absolute;
      bottom: 0;
      padding-left: 15px;
      padding-right: 15px;
      padding-bottom: 15px;
      padding-top: 65px; /* Pel degradat del hover */

      -webkit-transition: background-color .3s ease-in;

      transition: background-color .3s ease-in;
    }

.programes__slider .programes__slider-wrap .programes__slider-content .programes__slider-content--text {
        opacity: 0;
        height: 0;
        -webkit-transition: all .3s ease-in;
        transition: all .3s ease-in;
      }

/* .programes__slider-content--categoria {
        color: var(--jcat-themecolour);
        font-weight: 700;
        margin-bottom: 15px;
      } */

.programes__slider .programes__slider-wrap .programes__slider-content .programes__slider-content--temporada {
        font-weight: 700;
        margin-bottom: 15px;
      }

.programes__slider .programes__slider-wrap .programes__slider-content--title {
      color: var(--jcat-white);
      font-family: var(--font-serifa);
      font-size: 25px;
      margin-bottom: 15px;
      font-weight: 400;
    }

@media(min-width:768px) {

.programes__slider .programes__slider-wrap .programes__slider-content--title {
        font-size: 32px;
        max-width: 18ch;
    }
      }

@media(min-width:1024px) {

.programes__slider .programes__slider-wrap .programes__slider-content--title {
        font-size: 40px;
    }
      }

.programes__slider .programes__slider-wrap .programes__slider-content--title a::before {
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
      }

.programes__slider .programes__slider-wrap .programes__slider-img--wrap {
      height: 100%;
      position: relative;
      overflow: hidden;
    }

.programes__slider .programes__slider-wrap .programes__slider-img--wrap .programes__slider-img {
        float: none;
        margin-left: 0;
        margin-right: 0;
        height: 100%;
        width: 100%;
        -o-object-fit: cover;
           object-fit: cover;

        -webkit-transition: -webkit-transform .3s ease-in;

        transition: -webkit-transform .3s ease-in;

        transition: transform .3s ease-in;

        transition: transform .3s ease-in, -webkit-transform .3s ease-in;
      }

.programes__slider .programes__slider-wrap .programes__slider-img--wrap::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: -webkit-gradient(
          linear,
          left top, left bottom,
          from(transparent),
          to(rgba(0, 0, 0, 0.7))
        );
        background: linear-gradient(
          to bottom,
          transparent 0%,
          rgba(0, 0, 0, 0.7) 100%
        );
      }

@media (max-width: 767px) {

.programes .programes__slider {
      padding-left: 0;
      padding-right: 0;
  }
    }

.programes .breadcrumbs {
    border-bottom: none;
    margin-left: -50px;
    margin-right: -50px;
    padding-left: 50px;
    padding-right: 50px;
  }

.programes .breadcrumbs ul {
      border-bottom: 1px solid var(--jcat-white);
      padding-bottom: 5px;
      width: 100%;
    }

.programes .breadcrumbs li a {
      color: var(--jcat-themecolour);
    }

.programes .breadcrumbs li a:hover {
        color: var(--jcat-red);
      }

@media (max-width: 767px) {

.programes .breadcrumbs {
      padding-top: 0;
  }
    }

.programes .programes__header {
    background-image: var(--imatge-fons-horitzontal);
    background-size: cover;
    background-position: center;
    aspect-ratio: 16/9;
    width: 100%;
  }

@media (max-width: 767px) {

.programes .programes__header {
      background-image: var(--imatge-fons-vertical);
      aspect-ratio: 9/16;
  }
    }

@media (min-width: 450px) {

.programes .programes__header {
      max-height: 95vh;
  }
    }

.programes .programes__header .programes__header-content {
      margin-left: 50px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-pack: justify;
          -ms-flex-pack: justify;
              justify-content: space-between;
      /* height: 100%; */
      width: calc(100% - 100px);
    }

@media (min-width: 992px) {

.programes .programes__header .programes__header-content {
        height: 100%;
    }
      }

@media (max-width: 767px) {

.programes .programes__header .programes__header-content {
        margin-left: 15px;
        margin-right: 15px;
        width: calc(100% - 30px);
        height: 100%;
    }
      }

@media (max-width: 374px) {

.programes .programes__header .programes__header-content {
        height: auto;
    }
      }

.programes .programes__header .programes__header-content .programes__header-title {
        font-family: var(--font-serifa);
        font-weight: 400;
      }

.programes .programes__header .programes__header-content .programes__header-descripcio {
        max-width: 65ch;
      }

.programes .programes__header .programes__header-content .programes__header-descripcio,.programes .programes__header .programes__header-content .programes__btn,.programes .programes__header .programes__header-content .programes__header-index {
        margin-top: 30px;
      }

.programes .programes__header .programes__header-content .programes__header-categories {
        color: var(--jcat-themecolour);
        font-weight: 700;
        margin-left: 5px;
      }

.programes .programes__slider {
    padding-top: 0;
  }

.programes .programes__header-content .breadcrumbs {
      padding-bottom: 50px;
      padding-top: 25px;
      background: -webkit-gradient(
      linear,
      left top, left bottom,
      color-stop(25%, rgba(0, 0, 0, 0.75)),
      to(transparent)
      );
      background: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0.75) 25%,
      transparent 100%
      );
    }

@media (max-width: 767px) {

.programes .programes__header-content .breadcrumbs {
        padding-top: 15px;
    }
      }

.programes__grid-titol {
  font-size: 22px;
  color: var(--jcat-themecolour);
  font-weight: 700;

  display: -webkit-box;

  display: -ms-flexbox;

  display: flex;
  -webkit-box-align: baseline;
      -ms-flex-align: baseline;
          align-items: baseline;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

.programes__grid-titol a {
    color: inherit;
    padding-right: 15px;
  }

.programes__grid-titol a:hover {
      color: var(--jcat-red);
    }

.programes__grid-titol button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: baseline;
        -ms-flex-align: baseline;
            align-items: baseline;
    gap: 9px;
    background-color: transparent;
    border: none;
    color: var(--jcat-white);
    font-weight: 400;
  }

.programes__grid-titol button svg {
      width: 15px;
      aspect-ratio: 1/1;
    }

.programes__grid-titol span {
    color: var(--jcat-white);
    font-weight: 400;
  }

ul.programes__llistat {
  margin-bottom: 0;
  list-style: none;
  position: relative;
}

ul.programes__llistat li {
    overflow: hidden;
    position: relative;
  }

ul.programes__llistat li a {
      color: var(--jcat-white);
      position: relative;
      display: block;
    }

ul.programes__llistat li a .programes__img {
        width: 100%;
        display: block;
        -o-object-fit: cover;
           object-fit: cover;
        -webkit-transition: -webkit-transform .1s ease-in;
        transition: -webkit-transform .1s ease-in;
        transition: transform .1s ease-in;
        transition: transform .1s ease-in, -webkit-transform .1s ease-in;
      }

ul.programes__llistat li a .programes__index {
        position: absolute;
        bottom: 0;
        z-index: 1;
        padding-left: 8px;
        padding-right: 8px;
        -webkit-transition: opacity .5s ease-in;
        transition: opacity .5s ease-in;
      }

@media (max-width: 767px) {

ul.programes__llistat li a .programes__index {
          font-size: 12px;
      }
        }

ul.programes__llistat li a::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: -webkit-gradient(
          linear,
          left top, left bottom,
          from(transparent),
          to(rgba(0, 0, 0, 0.8))
        );
        background: linear-gradient(
          to bottom,
          transparent 0%,
          rgba(0, 0, 0, 0.8) 100%
        );
      }

ul.programes__llistat li a .programes__content {
        position: absolute;
        z-index: 1;
        bottom: 0;
        padding: 0 8px 8px;
        opacity: 0;
        -webkit-transition: all .1s ease-in;
        transition: all .1s ease-in;
      }

ul.programes__llistat li a .programes__title {
        font-family: var(--font-serifa);
        font-weight: 400;
        max-width: 35ch;
      }

ul.programes__llistat li a .programes__descripcio {
        margin-bottom: 20px;
      }

@media (hover: hover) {
          ul.programes__llistat li a:hover .programes__img {
            -webkit-transform: scale(1.1);
                    transform: scale(1.1);
          }
  
          ul.programes__llistat li a:hover .programes__content {
            opacity: 1;
            background: -webkit-gradient(
              linear,
              left bottom, left top,
              color-stop(75%, rgba(0, 0, 0, 1)),
              to(transparent)
            );
            background: linear-gradient(
              to top,
              rgba(0, 0, 0, 1) 75%,
              transparent 100%
            );
            z-index: 1;
          }
  
          ul.programes__llistat li a:hover .programes__index {
            opacity: 0;
          }
      }

ul.programes__llistat.grid {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (1fr)[2];
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px;
    margin-left: 9vw;
    margin-right: 9vw;

    /* li {
      min-height: 350px;
    } */
  }

@media (max-width: 991px) {

ul.programes__llistat.grid {
      -ms-grid-columns: (1fr)[1];
      grid-template-columns: repeat(1, 1fr);
      margin-left: 0;
      margin-right: 0;
  }

      ul.programes__llistat.grid li {
        margin-bottom: 15px;
      }

        ul.programes__llistat.grid li a:hover {
          all: unset;
        }
    }

ul.programes__llistat.flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 15px;

  }

@media (max-width: 991px) {

ul.programes__llistat.flex {
      -ms-flex-wrap: nowrap;
          flex-wrap: nowrap;
      overflow-x: auto;
      -ms-scroll-snap-type: x mandatory;
          scroll-snap-type: x mandatory;
      scroll-behavior: smooth;

      margin-left: 15px;

      margin-right: 15px;
      padding-left: 0 !important;
      padding-right: 0 !important;

  }

      ul.programes__llistat.flex li {
        min-width: 45%;
        scroll-snap-align: start;
        scroll-margin-left: 15px;
      }
    }

@media (max-width: 767px) {
      ul.programes__llistat.flex li {
        min-width: 85%;
      }
    }

.programes__llistat-titol {
  font-size: 22px;
  color: var(--jcat-white);
  font-weight: 400;
}

body.llistat .article-summary--programa,body.llistat .article-summary--episodi {
    background-color: var(--jcat-dark-grey);
    color: var(--jcat-white);
  }

body.llistat .article-summary--programa:hover,body.llistat .article-summary--episodi:hover {
      background-color: color-mix(in srgb, var(--jcat-dark-grey), transparent 20%);
    }

body.llistat .article-summary.article-summary--programa a,body.llistat .article-summary.article-summary--episodi a {
    color: inherit;
  }

body.llistat .article-summary.article-summary--programa a .article-summary__date,body.llistat .article-summary.article-summary--episodi a .article-summary__date,body.llistat .article-summary.article-summary--programa a .article-summary__title,body.llistat .article-summary.article-summary--episodi a .article-summary__title {
      color: inherit;
    }

body.llistat .article-summary.article-summary--programa a .article-summary__category,body.llistat .article-summary.article-summary--episodi a .article-summary__category {
      display: table;
      margin-bottom: 10px;
      padding: 6px 12px;
      font-size: 12px;
      font-weight: 700;
      background-color: var(--jcat-white);
      color: var(--jcat-red);
    }

body.llistat .article-summary.article-summary--programa a:hover .article-summary__title,body.llistat .article-summary.article-summary--episodi a:hover .article-summary__title {
        color: var(--jcat-themecolour);
      }

body.llistat .article-summary--programa .article-summary__title {
      margin-top: 10px;
      margin-bottom: 10px;
    }

body.llistat .article-summary--programa .article-summary__text {
      margin-top: 10px;
    }

.temporades-dropdown {
  position: relative;
  margin-right: 5px;

}

.temporades-dropdown .temporades-menu {
    position: absolute;
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 15px;
    list-style: none;
    width: 100%;
    font-size: .8em;
    font-weight: 400;

    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.15);
  }

.temporades-dropdown .temporades-menu li {
      cursor: pointer;
      color: var(--jcat-white);
      padding-top: 8px;
      padding-bottom: 6px;
      -webkit-transition: color .3s;
      transition: color .3s;
    }

.temporades-dropdown .temporades-menu li:hover {
        color: var(--jcat-red);
      }

/* padding-inline: 0; */

.llistat-temporada .programes__llistat.flex {
    padding-left: 15px;
    padding-right: 15px;
  }

.main-navigation__column h3.icona {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }

.main-navigation__column h3.icona span {
      width: 20px;
      padding: 5px;
      background-color: var(--jcat-red);
      margin-left: 10px;
    }

.main-navigation__column h3.icona span svg {
        color:var(--jcat-themecolour);
      }

.episodi .breadcrumbs {
    border-bottom-color: var(--jcat-white);
  }

.episodi .breadcrumbs li a {
      color: var(--jcat-themecolour);
    }

.episodi .breadcrumbs li a:hover {
        color: var(--jcat-red);
      }

.episodi .episodi__header iframe {
      aspect-ratio: 16 / 9;
    }

.episodi .episodi__titol {
    color: var(--jcat-themecolour);
    max-width: 35ch;
  }

.episodi .episodi__index {
    background-color: rgba(0,0,0,0.14902);
    padding: 15px 20px;
    font-size: 16px;
    font-weight: 700;
  }

.episodi .episodi__index span {
      color: var(--jcat-themecolour);
      padding-left: 15px;
    }

@media (max-width: 767px) {

.episodi .episodi__index {
      font-size: 14px;
  }

      .episodi .episodi__index span {
        display: block;
        padding-left: 0;
      }
    }